<?php

namespace Tests\Channel\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Modules\Channel\Http\Controllers\WechatOpenPlatformController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class WechatOpenPlatformControllerTest extends UsedTestCase
{

    public function testAuth()
    {
        $res = $this->withHeaders([
        ])->json('get','http://localhost/api/channel/openPlatform/auth/wxf313b3506bac2647/26?auth_code=queryauthcode@@@K_MNMi2oLcnszHdG1o5R9rSYcrxFrBmTwtug04MDjk2PrjEfl1mVjYSfPSgJzodUyIvOKXnVaTtz-oLPUw10Ng&expires_in=3600');
        $res->dump();
    }
    public function testauthorCommand()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/channel/openPlatform/authorCommand/wxf313b3506bac2647', [

        ]);
        $res->dump();
    }
}
